local dp = natural_habitat.dupes;

local y_min, y_max = -31000, 31000;

if core.get_modpath("mcl_vars") then
    y_min = mcl_vars.mg_overworld_min;
    y_max = mcl_vars.mg_overworld_max;
end;

if not dp.biomes.desert then
    dp.biomes.desert = m7a.register_biome({
        name = m7a.mod_impact("desert", {
            ["mcl_biomes"] = "Desert",
        }),
        
        depth_top = 1,
        node_top = dp.sand,
        node_top_underground = dp.stone,
        node_top_deep_underground = dp.stone_deep,
        
        depth_filler = 7,
        node_filler = dp.sand,
        node_filler_underground = dp.stone,
        node_filler_deep_underground = dp.stone_deep,
        
        depth_shore = 3,
        node_top_shore = dp.sand,
        
        node_dungeon = dp.cobble or "air",
        node_dungeon_alt = dp.mossycobble or "air",
        node_dungeon_stair = dp.stair_cobble or "air",
        
        vertical_blend = 2,
        
        y_min = y_min,
        y_max = y_max,
        
        humidity_point = 26,
        heat_point = 96,
        
        _mcl_biome_type = "hot",
        _mcl_palette_index = 17,
        _mcl_skycolor = "#6EB1FF",
        _mcl_fogcolor = "#C0D8FF",
        _mcl_groups = { is_overworld = true, },
    })
end;